Bug 13086 - Возможно стоит использовать MD5_Init из -lcrypto
: Возможно стоит использовать MD5_Init из -lcrypto
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libosip2)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-10-11 03:31 by
Modified: 2009-05-10 09:33 (History)


Attachments
Удаление функций MD5 из библиотеки (1.06 KB, patch)
2007-10-13 10:57, Vitaly Lipatov
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-10-11 03:31:43
Возможно вместо встроенного MD5Init
стоит использовать MD5_Init из -lcrypto,
прототип в /usr/include/openssl/md5.h
------- Comment #1 From 2007-10-11 10:35:58 -------
зачем?
------- Comment #2 From 2007-10-11 11:04:31 -------
(In reply to comment #1)
> зачем?

Чтобы не таскать с собой старую версию библиотеки libcrypto, чтобы не загружать
в память вторую версию того же кода, чтобы избежать возможных ошибок в старом
коде, который уже или будет исправлены в libcrypto.
------- Comment #3 From 2007-10-11 11:07:52 -------
жду патчей
------- Comment #4 From 2007-10-13 10:57:43 -------
Created an attachment (id=2224) [details]
Удаление функций MD5 из библиотеки

Патч удаляет сборку MD5 и установку заголовочного файла osip_md5.h
Вообще это наверное должен делать параметр configure
--disable-md5, но он наверное пока только в мечтах разработчиков.
------- Comment #5 From 2007-10-13 21:12:31 -------
libosip2-3.0.3-alt2
------- Comment #6 From 2007-10-13 21:52:35 -------
Спасибо!